Main Page glibmm Namespaces Book

# Glib::ThreadError Class Reference
[Threads]

Exception class for thread-related errors. More...

Inheritance diagram for Glib::ThreadError:

[legend]

List of all members.

## Public Types
enum | Code { AGAIN }
## Public Member Functions
| ThreadError (Code error_code, const Glib::ustring& error_message)
| ThreadError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for thread-related errors.

## Member Enumeration Documentation

enum Glib::ThreadError::Code

Enumerator:

  AGAIN |

## Constructor & Destructor Documentation

Glib::ThreadError::ThreadError | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Glib::ThreadError::ThreadError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::ThreadError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- thread.h